Time Series Visualizer ! errors?

Hello
Every project carry more and more errors for me. But the problem is now I dont understand description at all (of errors). There are non comparison info… System refer to some conversion errors, etc.

Please, could somebody help?

ERROR: test_bar_plot_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 48, in test_bar_plot_labels
actual = self.ax.get_xlabel()
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_xlabel’

======================================================================
ERROR: test_bar_plot_legend_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 42, in test_bar_plot_legend_labels
for label in self.ax.get_legend().get_texts():
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_legend’

======================================================================
ERROR: test_bar_plot_number_of_bars (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 61, in test_bar_plot_number_of_bars
actual = len([rect for rect in self.ax.get_children() if isinstance(rect, mpl.patches.Rectangle)])
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_children’

======================================================================
ERROR: test_data_cleaning (test_module.DataCleaningTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 7, in test_data_cleaning
actual = int(time_series_visualizer.df.count(numeric_only=True))
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/pandas/core/series.py”, line 191, in wrapper
raise TypeError(f"cannot convert the series to {converter}")
TypeError: cannot convert the series to <class ‘int’>

======================================================================
ERROR: test_line_plot_data_quantity (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_labels (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_title (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/
 python main.py
Matplotlib created a temporary config/cache directory at /tmp/matplotlib-ptlhirh2 because the default path (/config/matplotlib) is not a writable directory; it is highly recommended to set the MPLCONFIGDIR environment variable to a writable directory, in particular to speed up the import of Matplotlib and to better support multiprocessing.
 python main.py
Matplotlib created a temporary config/cache directory at /tmp/matplotlib-ksqqwx76 because the default path (/config/matplotlib) is not a writable directory; it is highly recommended to set the MPLCONFIGDIR environment variable to a writable directory, in particular to speed up the import of Matplotlib and to better support multiprocessing.
 python main.py
Matplotlib created a temporary config/cache directory at /tmp/matplotlib-pqqx0eam because the default path (/config/matplotlib) is not a writable directory; it is highly recommended to set the MPLCONFIGDIR environment variable to a writable directory, in particular to speed up the import of Matplotlib and to better support multiprocessing.
EEEF…EEEE

ERROR: test_bar_plot_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 48, in test_bar_plot_labels
actual = self.ax.get_xlabel()
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_xlabel’

======================================================================
ERROR: test_bar_plot_legend_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 42, in test_bar_plot_legend_labels
for label in self.ax.get_legend().get_texts():
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_legend’

======================================================================
ERROR: test_bar_plot_number_of_bars (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 61, in test_bar_plot_number_of_bars
actual = len([rect for rect in self.ax.get_children() if isinstance(rect, mpl.patches.Rectangle)])
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_children’

======================================================================
ERROR: test_data_cleaning (test_module.DataCleaningTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 7, in test_data_cleaning
actual = int(time_series_visualizer.df.count(numeric_only=True))
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/pandas/core/series.py”, line 191, in wrapper
raise TypeError(f"cannot convert the series to {converter}")
TypeError: cannot convert the series to <class ‘int’>

======================================================================
ERROR: test_line_plot_data_quantity (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_labels (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_title (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File "/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/
 python main.py
Matplotlib created a temporary config/cache directory at /tmp/matplotlib-l0hcropm because the default path (/config/matplotlib) is not a writable directory; it is highly recommended to set the MPLCONFIGDIR environment variable to a writable directory, in particular to speed up the import of Matplotlib and to better support multiprocessing.
EEE…EEEE

ERROR: test_bar_plot_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 48, in test_bar_plot_labels
actual = self.ax.get_xlabel()
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_xlabel’

======================================================================
ERROR: test_bar_plot_legend_labels (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 42, in test_bar_plot_legend_labels
for label in self.ax.get_legend().get_texts():
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_legend’

======================================================================
ERROR: test_bar_plot_number_of_bars (test_module.BarPlotTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 61, in test_bar_plot_number_of_bars
actual = len([rect for rect in self.ax.get_children() if isinstance(rect, mpl.patches.Rectangle)])
AttributeError: ‘numpy.ndarray’ object has no attribute ‘get_children’

======================================================================
ERROR: test_data_cleaning (test_module.DataCleaningTestCase)

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 7, in test_data_cleaning
actual = int(time_series_visualizer.df.count(numeric_only=True))
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/pandas/core/series.py”, line 191, in wrapper
raise TypeError(f"cannot convert the series to {converter}")
TypeError: cannot convert the series to <class ‘int’>

======================================================================
ERROR: test_line_plot_data_quantity (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_labels (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)

======================================================================
ERROR: test_line_plot_title (test_module.LinePlotTestCase)

Traceback (most recent call last):
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1506, in convert_units
ret = self.converter.convert(x, self.units, self)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/category.py”, line 49, in convert
raise ValueError(
ValueError: Missing category information for StrCategoryConverter; this might be caused by unintendedly mixing categorical and numeric data

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/home/runner/boilerplate-page-view-time-series-visualizer/test_module.py”, line 13, in setUp
self.fig = time_series_visualizer.draw_line_plot()
File “/home/runner/boilerplate-page-view-time-series-visualizer/time_series_visualizer.py”, line 23, in draw_line_plot
plt.plot(df)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/pyplot.py”, line 2769, in plot
return gca().plot(
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_axes.py”, line 1634, in plot
self.add_line(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2288, in add_line
self._update_line_limits(line)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axes/_base.py”, line 2311, in _update_line_limits
path = line.get_path()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 999, in get_path
self.recache()
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/lines.py”, line 656, in recache
yconv = self.convert_yunits(self._yorig)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/artist.py”, line 264, in convert_yunits
return ax.yaxis.convert_units(y)
File “/opt/virtualenvs/python3/lib/python3.8/site-packages/matplotlib/axis.py”, line 1508, in convert_units
raise munits.ConversionError('Failed to convert value(s) to axis ’
matplotlib.units.ConversionError: Failed to convert value(s) to axis units: array([‘May’, ‘May’, ‘May’, …, ‘November’, ‘December’, ‘December’],
dtype=object)


Ran 11 tests in 12.928s

FAILED (errors=7)